DisableDNSView
Disables a DNS view, preventing it from serving DNS queries.
Important
Route 53 Global Resolver is a global service that supports resolvers in multiple AWS Regions but you must specify the
US East (Ohio) Region to create, update, or otherwise work with Route 53 Global Resolver resources. That is, for example,
specify
--region us-east-2
on AWS CLI commands.
Request Syntax
PATCH /dns-views/dnsViewId/disable HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- dnsViewId
-
The unique identifier of the DNS view to disable.
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[-.a-zA-Z0-9]+Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"arn": "string",
"clientToken": "string",
"createdAt": "string",
"description": "string",
"dnssecValidation": "string",
"ednsClientSubnet": "string",
"firewallRulesFailOpen": "string",
"globalResolverId": "string",
"id": "string",
"name": "string",
"status": "string",
"updatedAt": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- arn
-
The Amazon Resource Name (ARN) of the disabled DNS view.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
arn:[-.a-z0-9]{1,63}:[-.a-z0-9]{1,63}:[-.a-z0-9]{0,63}:[-.a-z0-9]{0,63}:[^/].{0,1023} - clientToken
-
The unique string that identifies the request and ensures idempotency.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 256.
- createdAt
-
The date and time when the DNS view was originally created.
Type: Timestamp
- description
-
The description of the disabled DNS view.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 256.
- dnssecValidation
-
Whether DNSSEC validation is enabled for the disabled DNS view.
Type: String
Valid Values:
ENABLED | DISABLED - ednsClientSubnet
-
Whether EDNS Client Subnet injection is enabled for the disabled DNS view.
Type: String
Valid Values:
ENABLED | DISABLED - firewallRulesFailOpen
-
The firewall rules fail-open behavior configured for the disabled DNS view.
Type: String
Valid Values:
ENABLED | DISABLED - globalResolverId
-
The ID of the Route 53 Global Resolver that the disabled DNS view is associated with.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[-.a-zA-Z0-9]+ - id
-
The unique identifier of the disabled DNS view.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[-.a-zA-Z0-9]+ - name
-
The name of the disabled DNS view.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
(?!^[0-9]+$)([a-zA-Z0-9-_/' ']+) - status
-
The current status of the disabled DNS view.
Type: String
Valid Values:
CREATING | OPERATIONAL | UPDATING | ENABLING | DISABLING | DISABLED | DELETING - updatedAt
-
The date and time when the DNS view was last updated.
Type: Timestamp
Errors
For information about the errors that are common to all actions, see Common Errors.
- AccessDeniedException
-
You don't have permission to perform this operation. Check your IAM permissions and try again.
HTTP Status Code: 403
- ConflictException
-
The request conflicts with the current state of the resource. This can occur when trying to modify a resource that is not in a valid state for the requested operation.
- resourceId
-
The ID of the conflicting resource.
- resourceType
-
The type of the conflicting resource.
HTTP Status Code: 409
- InternalServerException
-
An internal server error occurred. Try again later.
- retryAfterSeconds
-
Number of seconds in which the caller can retry the request.
HTTP Status Code: 500
- ResourceNotFoundException
-
The specified resource was not found. Verify the resource ID and try again.
- resourceId
-
The unique ID of the resource referenced in the failed request.
- resourceType
-
The resource type of the resource referenced in the failed request.
HTTP Status Code: 404
- ServiceQuotaExceededException
-
The request would exceed one or more service quotas. Check your current usage and quotas, then try again.
- quotaCode
-
The quota code recognized by the AWS Service Quotas service.
- resourceId
-
The unique ID of the resource referenced in the failed request.
- resourceType
-
The resource type of the resource referenced in the failed request.
- serviceCode
-
The code for the AWS service that owns the quota.
HTTP Status Code: 402
- ThrottlingException
-
The request was throttled due to too many requests. Wait a moment and try again.
- quotaCode
-
The quota code recognized by the AWS Service Quotas service.
- retryAfterSeconds
-
Number of seconds in which the caller can retry the request.
- serviceCode
-
The code for the AWS service that owns the quota.
HTTP Status Code: 429
- ValidationException
-
The input parameters are invalid. Check the parameter values and try again.
- fieldList
-
The list of fields that aren't valid.
- reason
-
Reason the request failed validation.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: